import API from './API'

export default {
    registerAccount(data) {
        return API().post('/mail/account', data);
    },
    getAccounts() {
        return API().get('/mail/accounts');
    },
    getRooms(mailboxId) {
        return API().get(`/mail/${mailboxId}/rooms`);
    },
    getMessages(roomId) {
        return API().get(`/mail/${roomId}/messages`);
    },
    getMembers(roomId) {
        return API().get(`/mail/${roomId}/members`);
    },
}